
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #397

skins: Shuffle button has wrong size

February 01, 2014 16:12 - Thomas Lange

Status: Closed Start date: February 01, 2014

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/skins Estimated time: 0.00 hour

Target version: 3.5   

Affects version: 3.4.3   

Description

The clickable area for the shuffle button (RAND) is too big.

It toggles if you click the area between this and the eject button.

The attached patch does not fix it completely.

It corrects the size of the button but

I don't know why window_put_widget() is not changing its position.

History

#1 - February 04, 2014 00:02 - John Lindgren

- Status changed from New to Rejected

It would be best to fix the skin rather than change the code.  If you look at a screenshot of Winamp 2 (e.g. here [1]), you will see that the shuffle button

is supposed to nearly touch the eject button.

[1] http://upload.wikimedia.org/wikipedia/en/b/bc/Winamp2.PNG

#2 - February 04, 2014 06:34 - John Lindgren

- Status changed from Rejected to New

Didn't mean to reject, oops.

#3 - February 08, 2014 14:45 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.5

- % Done changed from 0 to 100

- Affects version 3.4.3 added

https://github.com/audacious-media-player/audacious-plugins/commit/a268527157f22fb8f4ee32005c8fd34b2d3d97e6

Files

ui_main.patch 814 Bytes February 01, 2014 Thomas Lange
